Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ted: move files, fix trigger

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Thu, 21 Jan 2016 22:10:43 -0800

---
 testing/ted/APKBUILD          | 5 +++--
 testing/ted/ted-motif.trigger | 1 -
 2 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/testing/ted/APKBUILD b/testing/ted/APKBUILD
index 10a72b0..e7279ef 100644
--- a/testing/ted/APKBUILD
+++ b/testing/ted/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
 pkgname=ted
 pkgver=2.23
-pkgrel=0
+pkgrel=1
 pkgdesc="An easy Rich Text Processor"
 url="http://www.nllgg.nl/Ted/"
 arch="all"
_at_@ -48,7 +48,7 @@ package() {
 motif() {
 	provides="ted=$pkgver-r$pkgrel"
 	depends="ted-common"
-	triggers="ted-motif.trigger=/usr/bin/Ted"
+	triggers="ted-motif.trigger=/usr/bin/Ted*"
 	pkgdesc="An easy Rich Text Processor (Motif version)"
 	mkdir -p "$subpkgdir"/usr/bin || return 1
 	mv "$pkgdir"/usr/bin/Ted.motif "$subpkgdir"/usr/bin || return 1
_at_@ -62,6 +62,7 @@ common() {
 	mv "$pkgdir"/usr/share/Ted/afm/ "$pkgdir"/usr/share/Ted/config/   \
 	   "$pkgdir"/usr/share/Ted/dfa/ "$pkgdir"/usr/share/Ted/Ted*.*    \
         	"$subpkgdir"/usr/share/Ted/ || return 1
+	mv "$pkgdir"/usr/bin/*.sh "$subpkgdir"/usr/bin/ || return 1
 }
 
 doc() {
diff --git a/testing/ted/ted-motif.trigger b/testing/ted/ted-motif.trigger
index ade36b3..b4d8500 100755
--- a/testing/ted/ted-motif.trigger
+++ b/testing/ted/ted-motif.trigger
_at_@ -1,4 +1,3 @@
 #!/bin/sh
 
-[ -L /usr/bin/Ted ]  && exit 0
 [ -e /usr/bin/Ted ] || ln -s /usr/bin/Ted.motif /usr/bin/Ted
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jan 21 2016 - 22:10:43 GMT